System.ComponentModel.DataAnnotations 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Property | System.AttributeTargets.Field | System.AttributeTargets.All, AllowMultiple=false) To be added.

Represents an attribute that is used to specify the filtering behavior for a column.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class by using the filter UI hint.

  The name of the control to use for filtering.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class by using the filter UI hint and presentation layer name.

  The name of the control to use for filtering.
  The name of the presentation layer that supports this control.
- Constructor
  4.0.0.0
  System.ParamArray
  To be added.

  Initializes a new instance of the class by using the filter UI hint, presentation layer name, and control parameters.

  The name of the control to use for filtering.
  The name of the presentation layer that supports this control.
  The list of parameters for the control.
- Property
  4.0.0.0
  System.Collections.Generic.IDictionary<System.String,System.Object> To be added. To be added.

  Gets the name/value pairs that are used as parameters in the control's constructor.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether this attribute instance is equal to a specified object.

  True if the passed object is equal to this attribute instance; otherwise, false.

  The object to compare with this attribute instance.
- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the name of the control to use for filtering.

- Method
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for this attribute instance.

  This attribute insatnce hash code.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the name of the presentation layer that supports this control.

- Property
  4.0.0.0
  System.Object To be added. To be added.

  Returns the unique identifier for this attribute instance.